- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QAuthenticator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qauthenticator.h.

`#include <qauthenticator.h>`

List of all members.

## Public Member Functions
| QAuthenticator ()
| ~QAuthenticator ()
| QAuthenticator (const QAuthenticator &other)
QAuthenticator & | operator= (const QAuthenticator &other)
bool | operator== (const QAuthenticator &other) const
bool | operator!= (const QAuthenticator &other) const
QString | user () const
void | setUser (const QString &user)
QString | password () const
void | setPassword (const QString &password)
QString | realm () const
QVariant | option (const QString &opt) const
QVariantHash | options () const
void | setOption (const QString &opt, const QVariant &value)
bool | isNull () const
void | detach ()
## Friends
class | QAuthenticatorPrivate

## Constructor & Destructor Documentation

QAuthenticator | ( |  | ) |

~QAuthenticator | ( |  | ) |

QAuthenticator | ( | const QAuthenticator & | other | ) |

## Member Function Documentation

QAuthenticator& operator= | ( | const QAuthenticator & | other | ) |

bool operator== | ( | const QAuthenticator & | other | ) | const

bool operator!= | ( | const QAuthenticator & | other | ) | const `[inline]`

Definition at line 67 of file qauthenticator.h.

    { return !operator==(other); }

QString user | ( |  | ) | const

Search for all occurrences

void setUser | ( | const QString & | user | ) |

Search for all occurrences

QString password | ( |  | ) | const

Search for all occurrences

void setPassword | ( | const QString & | password | ) |

Search for all occurrences

QString realm | ( |  | ) | const

Search for all occurrences

QVariant option | ( | const QString & | opt | ) | const

Search for all occurrences

QVariantHash options | ( |  | ) | const

Search for all occurrences

void setOption | ( | const QString & | opt,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

bool isNull | ( |  | ) | const

Search for all occurrences

void detach | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QAuthenticatorPrivate `[friend]`

Search for all occurrences

Definition at line 84 of file qauthenticator.h.

The documentation for this class was generated from the following file:

- QtNetwork/qauthenticator.h

QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator
QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator QAuthenticator